> ## Documentation Index
> Fetch the complete documentation index at: https://chatbotx.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all custom fields from a contact



## OpenAPI

````yaml /api-reference/platform-api.json get /v1/contacts/{identifier}/custom-fields
openapi: 3.1.1
info:
  title: ChatbotX
  version: 0.0.1
servers:
  - url: https://app.chatbotx.io/api
security:
  - developerAccessToken: []
  - tokenInSearchParams: []
paths:
  /v1/contacts/{identifier}/custom-fields:
    get:
      tags:
        - Contacts
      summary: Get all custom fields from a contact
      operationId: listContactCustomFieldsWorkspaceTokenAPI
      parameters:
        - name: identifier
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      allOf:
                        - type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            type:
                              enum:
                                - shortText
                                - email
                                - phoneNumber
                                - number
                                - date
                                - datetime
                                - boolean
                                - longText
                              type: string
                            description:
                              anyOf:
                                - type: string
                                - type: 'null'
                          required:
                            - id
                            - name
                            - type
                            - description
                        - type: object
                          properties:
                            value:
                              type: string
                          required:
                            - value
                required:
                  - data
components:
  securitySchemes:
    developerAccessToken:
      type: http
      scheme: bearer
    tokenInSearchParams:
      type: apiKey
      in: query
      name: token

````